{% extends 'base.html.twig' %}
{% block topbar %}
    {{ parent() }}
    {% include 'topbar/choix_topbar2.html.twig' %}
    {% include 'courrier/judiciaire/topbar_courrier_jud.html.twig' with { 'active': 6 } %}
{% endblock %}
{% block body %}
    <style>
        td textarea {
            width: 100%;
            height: 100%;
        }
    </style>
    <div class="container-fluid">
        <h3>Grille d'analyse rapport expert Judiciaire {% if grille %}-  {{ grille.doc.nom }}{% endif %}</h3>
        {% if grille.diffusee != null %}<div class="col-md-12" style="color: red">Diffusée le {{ grille.diffusee|date('d/m/Y') }}</div>{% endif %}
        {% if grille.diffusee == null and grille.differee != null %}<div class="col-md-12" style="color: red">Attente de la revue du RCR, diffusion prévue le {{ grille.differee|date('d/m/Y') }}</div>{% endif %}
        <div style="margin-top: 50px">
            <form method="post" enctype="multipart/form-data">
                <div class="col-md-12">
                    <div class="col-md-4"><b>1 - Implication de QC au regard des missions souscrites</b></div><div class="col-md-3"><div class="col-md-6"> oui <input required {% if grille.implication_qc == true %}checked{% endif %} name="implication_qc" type="radio" value="oui"></div><div class="col-md-6"> non <input {% if not grille or grille.implication_qc == false %}checked{% endif %} name="implication_qc" type="radio" value="non"></div></div>
                </div><div id="step2" class="col-md-12">
                    <div class="col-md-4"><b>2 - Dommages mentionnés par le rapport ont un caractère isolé</b></div><div class="col-md-3"><div class="col-md-6"> oui <input required name="caractere_isole" value="oui" {% if grille.implication_qc == false %}disabled{%endif%} {% if grille.caractere_isole == true %}checked{% endif %} type="radio"></div><div class="col-md-6"> non <input name="caractere_isole" value="non" {% if grille.implication_qc == false %}disabled{%endif%} {% if not grille or grille.caractere_isole == false %}checked{% endif %} type="radio"></div></div>
                </div>
                <div id="step3" class="col-md-12">
                    <div class="col-md-4">
                        <b>Commentaire interne :</b>
                    </div>
                    <div class="col-md-6">
                        <textarea class="form-control" name='commentaire_interne'>{{ grille.commentaire_interne }}</textarea>
                    </div>
                    <div class="col-md-12">
                        <div class="col-md-12"><b>3 - Analyse des conclusions de l'expert</b></div>
                    </div>
                    <div id='tableau_analyses'>
                        {% if grille.analyses %}
                            {% for analyse in grille.analyses %}
                                <div class="col-md-12 row_analyse" num='{{ loop.index }}' style="padding-bottom: 10px; border-bottom: 1px solid lightgray">
                                    <div class="col-md-12" style="margin-bottom: 10px; margin-top: 20px">
                                        <div class="col-md-5"><div class="col-md-12"><b>Dommage examiné par l'expert</b></div><div class="col-md-12"><textarea {% if grille.implication_qc == false or grille.caractere_isole == true %}disabled{%endif%} name='dommage_{{ loop.index }}' class="form-control">{{ analyse.dommage }}</textarea></div></div>
                                        <div class="col-md-2"><div class="col-md-12"><b>Conclusion contestée</b></div><div class="col-md-12"><input {% if grille.implication_qc == false or grille.caractere_isole == true %}disabled{%endif%} name='conteste_{{ loop.index }}' type='checkbox' {% if analyse.conteste %}checked {% endif %}></div></div>
                                        <div class="col-md-4"><div class="col-md-12"><b>Arguments RCR</b></div><div class="col-md-12"><textarea {% if grille.implication_qc == false or grille.caractere_isole == true %}disabled{%endif%} name='reponse_expert_{{loop.index }}' class="form-control">{{analyse.reponse_expert }}</textarea></div></div>
                                        <div class="col-md-1" style="padding: 0">
                                            <div class="col-md-12" style="padding: 0">
                                                <button num="{{ loop.index }}" type="button" class="btn btn-sm btn-gaia btn_upload">Joindre un fichier</button>
                                                <input class="input_file" type="file" name="doc_{{ loop.index }}" style="display: none">
                                                <input type="hidden" name="type_doc_{{loop.index}}">
                                                <input type="hidden" name="categorie_doc_{{loop.index}}">
                                                <input type="hidden" name="date_doc_{{loop.index}}">
                                                <input type="hidden" name="date_reception_doc_{{loop.index}}">
                                                <input type="hidden" name="nom_doc_{{loop.index}}">                                                
                                            </div>
                                            <div class="col-md-12" style="padding: 0"><span class="upload_nom_f"><a href="{{ base_url}}/documents/download/{{ analyse.file.id }}">{{ analyse.file.nom }}</a></span></div>
                                        </div>
                                        {% if loop.index != 1 %}<button type="button" class="btn_supp_ligne btn btn-xs btn-gaia pull-right">Supp. ligne</button>{% endif %}
                                    </div>
                                </div>
                            {% endfor %}
                        {% else %}
                            <div class="col-md-12 row_analyse" num="1" style="padding-bottom: 10px; border-bottom: 1px solid lightgray">
                                <div class="col-md-12" style="margin-bottom: 10px; margin-top: 20px;">
                                    <div class="col-md-5"><div class="col-md-12"><b>Dommage examiné par l'expert</b></div><div class="col-md-12"><textarea {% if grille.implication_qc == false or grille.caractere_isole == true %}disabled{%endif%} name='dommage_1' class="form-control"></textarea></div></div>
                                    <div class="col-md-2"><div class="col-md-12"><b>Conclusion contestée</b></div><div class="col-md-12"><input {% if grille.implication_qc == false or grille.caractere_isole == true %}disabled{%endif%} name='conteste_1' type='checkbox'></div></div>
                                    <div class="col-md-4"><div class="col-md-12"><b>Arguments RCR</b></div><div class="col-md-12"><textarea {% if grille.implication_qc == false or grille.caractere_isole == true %}disabled{%endif%} name='reponse_expert_1' class="form-control"></textarea></div></div>
                                    <div class="col-md-1" style="padding: 0">
                                        <div class="col-md-12" style="padding: 0">
                                            <button num="1" type="button" class="btn btn-sm btn-gaia btn_upload">Joindre un fichier</button>
                                            <input class="input_file" type="file" name="doc_1" style="display: none">
                                            <input type="hidden" name="type_doc_1">
                                            <input type="hidden" name="categorie_doc_1">
                                            <input type="hidden" name="date_doc_1">
                                            <input type="hidden" name="date_reception_doc_1">
                                            <input type="hidden" name="nom_doc_1}">                                                
                                        </div>
                                        <div class="col-md-12" style="padding: 0"><span class="upload_nom_f"><a href="{{ base_url}}/documents/download/{{ analyse.file.id }}">{{ analyse.file.nom }}</a></span></div>
                                    </div>
                                </div>
                            </div>
                        {% endif %}

                    </div>
                    <div class="col-md-12" style="margin-top: 10px">
                        <div class="col-md-12">
                            <button {% if grille.implication_qc == false or grille.caractere_isole == true %}disabled{%endif%} type="button" class="btn btn-gaia" id='btn_ajouter_ligne'>Ajouter ligne</button>
                        </div></div>
                    <div class="col-md-12" style="margin-top: 10px; margin-bottom: 20px" style="display: none">
                        <div class="col-md-12"><b>Conclusion pour l'avocat</b></div>
                        <div class="col-md-12">
                            <div class="col-md-6"><textarea {% if grille.implication_qc == false or grille.caractere_isole == true %}disabled{%endif%} name='conclusion_expert' class="form-control">{{ grille.conclusion_expert }}</textarea></div>
                        </div>
                    </div>
                </div>
                {% if not grille.diffusee and not grille.differee %}
                    <div class="col-md-12">
                        <div class="col-md-12" style="padding-left: 0"><i>Pensez à enregistrer vos modifications avant prévisualisation ou diffusion</i></div>
                        <button class="btn btn-gaia">Enregistrer</button>{% if grille %} <button id="btn_previsualiser" type="button" class="btn btn-gaia">Prévisualiser</button>{% if avocat %} <button type="submit" formaction="{{ base_url() }}statuts/judiciaire/grille_analyse_judiciaire/edit/{{grille.doc.id}}/true" class="btn btn-gaia" id="btn_diffuser">Diffuser</button>{% else %}<p style="color: red">L'adresse email de l'avocat doit être renseignée pour la diffusion</p> {% endif %}{% endif %}
                    </div>{% endif %}</div>
            <div class="col-md-12" style="margin-top: 10px">
                </form>
            </div>
            <div  id='patron_row_analyse'>
                <div class="col-md-12 row_analyse" num="(:index)" style="padding-bottom: 10px; border-bottom: 1px solid lightgray; display: none">
                    <div class="col-md-12" style="margin-bottom: 10px; margin-top: 20px">
                        <div class="col-md-5"><div class="col-md-12"><b>Dommage examiné par l'expert</b></div><div class="col-md-12"><textarea name='dommage_(:index)' class="form-control"></textarea></div></div>
                        <div class="col-md-2"><div class="col-md-12"><b>Conclusion contestée</b></div><div class="col-md-12"><input name='conteste_(:index)' type='checkbox'></div></div>
                        <div class="col-md-4"><div class="col-md-12"><b>Arguments RCR</b></div><div class="col-md-12"><textarea name='reponse_expert_(:index)' class="form-control"></textarea></div></div>
                        <div class="col-md-1" style="padding: 0">
                            <div class="col-md-12" style="padding: 0">
                                <button type="button" num="(:index)" class="btn btn-sm btn-gaia btn_upload">Joindre un fichier</button>
                                <input class="input_file" type="file" name="doc_(:index)" style="display: none">
                                <input type="hidden" name="type_doc_(:index)">
                                <input type="hidden" name="categorie_doc_(:index)">
                                <input type="hidden" name="date_doc_(:index)">
                                <input type="hidden" name="date_reception_doc_(:index)">
                                <input type="hidden" name="nom_doc_(:index)">  
                            </div>
                            <div class="col-md-12" style="padding: 0"><span class="upload_nom_f"></span></div>
                        </div>
                        <button type="button" class="btn_supp_ligne btn btn-xs btn-gaia pull-right">Supp. ligne</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="dialog" title="Vue historique" style="z-index: 3;">
        </div>
        <div style='min-width: 700px; display: none' id="dlg_upload" class='col-md-12' title='Envoi de document'>
            <table id='form_upload_table' width='600'>
                <tr>
                    <td colspan="2"><button type="button" class="btn btn-gaia" id="btn_dlg_upload">Choisir un fichier</button> <span style="margin-left: 10px" id="nom_f_dlg"></span></td>
                </tr>
                <tr>
                    <td>Nom du document</td><td><input id='input_nom_doc' style="width: 100%"></td>
                </tr>
                <tr>
                    <td>Date du document</td><td><input id="input_date_doc" style="width: 100%" type="date" value='{{ 'now'|date('Y-m-d') }}'></td>
                </tr>
                <tr>
                    <td>Date de reception du document</td><td><input id="input_date_r_doc" style="width: 100%" type="date" value='{{ 'now'|date('Y-m-d') }}'></td>
                </tr>
                <tr>
                    <td>Type de document</td><td><select id="select_type_doc" style="width: 100%">{% for type in types %}<option value='{{ type.id }}'>{{ type.type }}</option>{% endfor %}</select></td>
                </tr>
                <td>Catégorie du document</td><td><select id="select_cat_doc" style="width: 100%">{% for categorie in categories %}<option value='{{ categorie.id }}'>{{ categorie.libelle }}</option>{% endfor %}</select></td>
                </tr>
                <tr>
                    <td colspan="2"><button id='btn_enregistrer' class="btn btn-gaia">Joindre</button></td>
                </tr>
            </table>
        </div>
        <script>
            $(document).ready(function () {

                // ============ Upload docs ===========
                var num_row_select_doc;

                function resetDlgUpload() {
                    $('#select_type_doc').val("");
                    $('#select_cat_doc').val("");
                    $('#input_date_doc').val("");
                    $('#input_date_r_doc').val("");
                    $('#input_nom_doc').val("");
                    $('#nom_f_dlg').empty();
                }

                $(document).on("click", '.btn_upload', function () {

                    resetDlgUpload();

                    $('#dlg_upload').dialog({
                        width: 650,
                    });

                    num_row_select_doc = $(this).attr('num');
                    var row = $('.row_analyse[num="' + num_row_select_doc + '"]');

                    $('input[type="file"][name*="doc_"]').change(function (e) {
                        var nom_f = $(this).context.files[0].name;
                        var ext = nom_f.substring(nom_f.length - 3);
                        if (ext.toLowerCase() != 'pdf') {
                            e.preventDefault();
                            resetDlgUpload();
                            $(this).val("");
                            alert("Seuls les documents au format pdf peuvent-être importés");
                        } else {
                            $(this).parent('div').next('div').children('.upload_nom_f').empty().append(nom_f);
                            $('#nom_f_dlg').empty().append(nom_f);
                        }
                    });


                    $('#btn_enregistrer').click(function () {

                        $(row).find('input[name*="type_doc_"]').val($('#select_type_doc').val());
                        $(row).find('input[name*="categorie_doc_"]').val($('#select_cat_doc').val());
                        $(row).find('input[name*="date_doc_"]').val($('#input_date_doc').val());
                        $(row).find('input[name*="date_reception_doc_"]').val($('#input_date_r_doc').val());
                        $(row).find('input[name*="nom_doc_"]').val($('#input_nom_doc').val());

                        $('#dlg_upload').dialog('close');
                    })
                });

                $('#btn_dlg_upload').click(function () {
                    $('input[type="file"][name="doc_' + num_row_select_doc + '"]').click();
                });

                // ========== fin upload docs ============

                function getPatron() {
                    var patron = $('#patron_row_analyse').clone(true);
                    $(patron).children('div').css('display', 'block');
                    $(patron).attr('id', null);

                    return patron;
                }

                function replaceIndex(patron, num) {
                    var patron_html = $(patron).html();
                    var regexp = /\(:index\)/g;
                    var patron_html_r = patron_html.replace(regexp, num);

                    return patron_html_r;
                }

                $('#btn_ajouter_ligne').click(function () {
                    var patron = getPatron();
                    var num = $('#tableau_analyses .row_analyse:last-of-type').attr('num');
                    num++;
                    $(patron).attr('num', num);

                    var data = replaceIndex(patron, num);
                    console.log(data);
                    $('#tableau_analyses').append(data);
                });

                $('input[name=implication_qc]').change(function () {
                    if ($(this).val() == "oui") {
                        $('#step2 input').attr('disabled', false);
                        $('input[name=caractere_isole][value=oui]').prop('checked', true);
                        $('input[name=caractere_isole][value=non]').prop('checked', false);
                    } else {
                        $('input[name=caractere_isole][value=oui]').prop('checked', false);
                        $('input[name=caractere_isole][value=non]').prop('checked', false);
                        $('#step2 input').attr('disabled', true);
                        $('#step3 input').attr('disabled', true);
                        $('#step3 textarea').attr('disabled', true);
                    }
                });

                $('input[name=caractere_isole]').change(function () {
                    if ($(this).val() == "oui") {
                        $('#step3 input, #step3 textarea, #step3 button').attr('disabled', true);
                    } else {

                        $('#step3 input, #step3 textarea, #step3 button').attr('disabled', false);
                    }
                });

                $('#btn_previsualiser').click(function () {
                    $.ajax("{{base_url()}}statuts/judiciaire/grille_analyse_judiciaire/previsualiser/{{ grille.doc.id }}").done(function (data) {
                        $('#dialog').empty().append("<center>" + data + "</center>");
                        $('#dialog').dialog({
                            title: "Prévisualisation",
                            minHeight: 600,
                            minWidth: 900
                        });
                    });
                });

                $(document).on('click', '.btn_supp_ligne', function () {
                    var confirm = window.confirm("Êtes-vous sur de vouloir supprimer cette ligne?");
                    if (confirm === false)
                        return false;
                    var row = $(this).parents('.row_analyse');
                    $(row).remove();
                });


                function refreshButtons() {
                    if ($('input[name="implication_qc"][value="oui"]').prop('checked') && !$('input[name="caractere_isole"][value="oui"]').prop('checked') && $('input[name*="conteste_"]').prop('checked') == false) {
                        $('#btn_previsualiser, #btn_diffuser').prop('disabled', true);
                        $('#btn_previsualiser, #btn_diffuser').prop('title', 'Aucune diffusion nécessaire');
                    } else {
                        $('#btn_previsualiser, #btn_diffuser').prop('disabled', false);
                    }
                }

                refreshButtons();
            });
        </script>
        {% endblock %}
